Package org.eclipse.m2m.atl.engine.vm

## Class ASMOperation.Label

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ASMOperation.Label

Enclosing class:
  ASMOperation

    protected class ASMOperation.Label
    extends java.lang.Object

### Constructor Summary

Constructors
`Label​(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addInstruction​(ASMInstruction i)`
`int` `getIndex()`
`java.lang.String` `getName()`
`void` `setIndex​(int index)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Label

    public Label​(java.lang.String name)

### Method Detail

#### getIndex

    public int getIndex()

#### addInstruction

    public void addInstruction​(ASMInstruction i)

#### setIndex

    public void setIndex​(int index)

#### getName

    public java.lang.String getName()